com.unitech.lib.uhf.types

## Enum GlobalBandType

- java.lang.Object
- - java.lang.Enum<GlobalBandType>
  - - com.unitech.lib.uhf.types.GlobalBandType

- All Implemented Interfaces:
    IEnumType, Serializable, Comparable<GlobalBandType>

      public enum GlobalBandType
      extends Enum<GlobalBandType>
      implements IEnumType

  The GlobalBandType enumeration represents the frequency direction of the RFID UHF module.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `Australia`
    `Brazil`
    `China`
    `Europe`
    `HongKong`
    `Israel`
    `Japan`
    `Japan250mW`
    `Japan6Channels`
    `Russia`
    `Singapore`
    `Taiwan`
    `Unknown`
    `USA`
    `Vietnam`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `getCode()` Get the enum code value
    `static String[]` | `names()` Returns an array containing the name of this enum type.
    `String` | `toString()` Return the name of the enum
    `static GlobalBandType` | `valueOf(int code)` Returns the enum constant of this type with the specified code.
    `static GlobalBandType` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static GlobalBandType` | `valueOfName(String name)` Returns the enum constant of this type with the specified name.
    `static GlobalBandType[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### Unknown

          public static final GlobalBandType Unknown

    - #### Europe

          public static final GlobalBandType Europe

    - #### USA

          public static final GlobalBandType USA

    - #### Japan

          public static final GlobalBandType Japan

    - #### China

          public static final GlobalBandType China

    - #### Taiwan

          public static final GlobalBandType Taiwan

    - #### Japan250mW

          public static final GlobalBandType Japan250mW

    - #### Australia

          public static final GlobalBandType Australia

    - #### Singapore

          public static final GlobalBandType Singapore

    - #### Brazil

          public static final GlobalBandType Brazil

    - #### HongKong

          public static final GlobalBandType HongKong

    - #### Israel

          public static final GlobalBandType Israel

    - #### Japan6Channels

          public static final GlobalBandType Japan6Channels

    - #### Vietnam

          public static final GlobalBandType Vietnam

    - #### Russia

          public static final GlobalBandType Russia

  - ### Method Detail

    - #### values

          public static GlobalBandType[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (GlobalBandType c : GlobalBandType.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static GlobalBandType valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

    - #### getCode

          public int getCode()

      Description copied from interface: `IEnumType`
      Get the enum code value
      Specified by:
        `getCode` in interface `IEnumType`
      Returns:
        The code value

    - #### toString

          public String toString()

      Description copied from interface: `IEnumType`
      Return the name of the enum
      Specified by:
        `toString` in interface `IEnumType`
      Overrides:
        `toString` in class `Enum<GlobalBandType>`
      Returns:
        The name of the enum

    - #### valueOf

          public static GlobalBandType valueOf(int code)

      Returns the enum constant of this type with the specified code.
      Parameters:
        `code` - The code to check
      Returns:
        The enum constant with the specified code

    - #### valueOfName

          public static GlobalBandType valueOfName(String name)

      Returns the enum constant of this type with the specified name.
      Parameters:
        `name` - The name to check.
      Returns:
        The enum constant with the specified name.

    - #### names

          public static String[] names()

      Returns an array containing the name of this enum type.
      Returns:
        An array containing the name of this enum type.